| #!/bin/sh |
| # |
| # Copyright 2019 WeBank |
| # |
| # Licensed under the Apache License, Version 2.0 (the "License"); |
| # you may not use this file except in compliance with the License. |
| # You may obtain a copy of the License at |
| # |
| # http://www.apache.org/licenses/LICENSE-2.0 |
| # |
| # Unless required by applicable law or agreed to in writing, software |
| # distributed under the License is distributed on an "AS IS" BASIS, |
| # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| # See the License for the specific language governing permissions and |
| # limitations under the License. |
| # |
| say() { |
| printf 'check command fail \n %s\n' "$1" |
| } |
| |
| err() { |
| say "$1" >&2 |
| exit 1 |
| } |
| |
| check_cmd() { |
| command -v "$1" > /dev/null 2>&1 |
| } |
| |
| need_cmd() { |
| if ! check_cmd "$1"; then |
| err "need '$1' (your linux command not found)" |
| fi |
| } |
| echo "<-----start to check used cmd---->" |
| need_cmd yum |
| need_cmd java |
| need_cmd mysql |
| need_cmd unzip |
| need_cmd expect |
| need_cmd telnet |
| need_cmd tar |
| need_cmd sed |
| need_cmd dos2unix |
| echo "<-----end to check used cmd---->" |